package cn.axzo.msg.center.notices.common.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @Classname BatchMessageStatusEnum
 * @Author: szg
 * @Date: 2021年08月09日 14:32
 * @Description:
 */
@RequiredArgsConstructor
@Getter
public enum BatchMessageStatusEnum {

//  0:初始化;1:已拆分完成;2:发送成功;3:部分成功;4:全部失败
  INITIALIZE(0, "初始化"),
  SPLIT_COMPLETED(1, "已拆分完成"),
  PROCESSING(2, "处理中"),
  SEND_SUCCESS(3, "发送成功"),
  PARTIAL_SUCCESS(4, "部分成功"),
  ALL_FAILED(5, "全部失败");

  private final Integer code;

  private final String message;


}
